For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all applications
        • GETGet an application by ID
        • POSTCreate Application: Entrata
        • PUTUpdate Application: Entrata
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
EntrataApplications

Get all applications

GET
/v1/applications/
GET
/v1/applications/
$curl https://api.propexo.com/v1/applications/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "application789",
18 "x_location_id": null,
19 "x_property_id": "property456",
20 "x_unit_id": null,
21 "status": "approved",
22 "custom_data": {},
23 "applicants": [
24 {
25 "applicant_id": "clxkw4hlh0000t3oz7dwh0wum",
26 "application_id": "clxkw4nbk0002t3ozbf008763",
27 "status_raw": "pending",
28 "status_normalized": "PENDING",
29 "custom_data": {},
30 "status": "string"
31 }
32 ],
33 "integration_id": "clwh5u07w000508me66sfh3um",
34 "integration_vendor": "ENTRATA",
35 "property_id": "clwi5xiix000008l6ctdgafyh",
36 "unit_id": null
37 }
38 ]
39}
Get all applications
Was this page helpful?
Previous

Get an application by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external applicant id
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_idstringOptional
The Propexo property id
integration_idstringOptional
The Propexo integration id
integration_vendorenumOptional
The integration vendor for the applicant.

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error